http
POST https://services.leadconnectorhq.com/social-media-posting/{locationId}/set-accounts

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id

Body

NameTypeRequiredExampleDescription
accountIdsstring[]YesAccount Ids
filePathstringYeso6241QsiRwUIJHyjuhos/social-planner-import/a6d04a26-0401-4e52-8f48-dbb274050fab.csvFile path
rowsCountnumberYes1Entires Count. rowcCount must be between 1 and number of posts in CSV
fileNamestringYestest.csvName of file
approverstringNoo6241QsiRwUIJHyjuhos
userIdstringNosdfdsfdsfEWEsdfsdsW32ddUser ID

Responses

201 - Successful response
  • success (boolean, required): Success or Failure Example: True

  • statusCode (number, required): Status Code Example: 201

  • message (string, required): Message Example: Accounts Set Successfully

json
{
  "success": true,
  "statusCode": 201,
  "message": "Accounts Set Successfully"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/set-accounts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "accountIds": [
    "aF3KhyL8JIuBwzK3m7Ly_iVrVJ2uoXNF0wzcBzgl5_12554616564525983496"
  ],
  "filePath": "o6241QsiRwUIJHyjuhos/social-planner-import/a6d04a26-0401-4e52-8f48-dbb274050fab.csv",
  "rowsCount": 1,
  "fileName": "test.csv",
  "approver": "o6241QsiRwUIJHyjuhos",
  "userId": "sdfdsfdsfEWEsdfsdsW32dd"
}'

Last updated October 26, 2026

Was this page helpful?